com.impinj.stp

## Class StpApi.AntennaConfig

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - com.impinj.stp.StpApi.AntennaConfig

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.AntennaConfigOrBuilder, java.io.Serializable
  Enclosing class:
    StpApi

      public static final class StpApi.AntennaConfig
      extends com.google.protobuf.GeneratedMessage
      implements StpApi.AntennaConfigOrBuilder

  Protobuf type `Impinj.STP.AntennaConfig` An antenna's RF, timing, and Gen 2 behavior parameters.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StpApi.AntennaConfig.Builder` Protobuf type `Impinj.STP.AntennaConfig` An antenna's RF, timing, and Gen 2 behavior parameters.

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ANTENNA_ID_FIELD_NUMBER`
    `static int` | `ENABLE_ADAPTIVE_TAG_POPULATION_ESTIMATE_FIELD_NUMBER`
    `static int` | `ENABLE_QUERY_AT_U_CYCLE_END_FIELD_NUMBER`
    `static int` | `ENABLE_QUERY_FOR_Q_DECREASE_FIELD_NUMBER`
    `static int` | `ENABLE_QUERY_FOR_Q_INCREASE_FIELD_NUMBER`
    `static int` | `GEN2_MODE_FIELD_NUMBER`
    `static int` | `GEN2_SESSION_FIELD_NUMBER`
    `static int` | `INVENTORY_SEARCH_MODE_FIELD_NUMBER`
    `static int` | `MAXIMUM_DWELL_TIME_FIELD_NUMBER`
    `static int` | `MINIMUM_DWELL_TIME_FIELD_NUMBER`
    `static com.google.protobuf.Parser<StpApi.AntennaConfig>` | `PARSER`
    `static int` | `RECEIVE_SENSITIVITY_FIELD_NUMBER`
    `static int` | `TAG_POPULATION_ESTIMATE_FIELD_NUMBER`
    `static int` | `TRANSMIT_POWER_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAntennaID()` The 1-based ID of the reader antenna.
    `static StpApi.AntennaConfig` | `getDefaultInstance()`
    `StpApi.AntennaConfig` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `boolean` | `getEnableAdaptiveTagPopulationEstimate()` Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.
    `boolean` | `getEnableQueryAtUCycleEnd()` Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.
    `boolean` | `getEnableQueryForQDecrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.
    `boolean` | `getEnableQueryForQIncrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.
    `StpApi.Gen2Mode` | `getGen2Mode()`
    `StpApi.Gen2Session` | `getGen2Session()`
    `StpApi.InventorySearchMode` | `getInventorySearchMode()`
    `int` | `getMaximumDwellTime()` Maximum time to dwell on the antenna in milliseconds.
    `int` | `getMinimumDwellTime()` Minimum time to dwell on the antenna in milliseconds.
    `com.google.protobuf.Parser<StpApi.AntennaConfig>` | `getParserForType()`
    `int` | `getReceiveSensitivity()` Receive sensitivity in cdBm.
    `int` | `getSerializedSize()`
    `int` | `getTagPopulationEstimate()` optional bool tag_population_check = 9 [default = true];
    `int` | `getTransmitPower()` Transmit power in cdBm.
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasAntennaID()` The 1-based ID of the reader antenna.
    `boolean` | `hasEnableAdaptiveTagPopulationEstimate()` Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.
    `boolean` | `hasEnableQueryAtUCycleEnd()` Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.
    `boolean` | `hasEnableQueryForQDecrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.
    `boolean` | `hasEnableQueryForQIncrease()` Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.
    `boolean` | `hasGen2Mode()`
    `boolean` | `hasGen2Session()`
    `boolean` | `hasInventorySearchMode()`
    `boolean` | `hasMaximumDwellTime()` Maximum time to dwell on the antenna in milliseconds.
    `boolean` | `hasMinimumDwellTime()` Minimum time to dwell on the antenna in milliseconds.
    `boolean` | `hasReceiveSensitivity()` Receive sensitivity in cdBm.
    `boolean` | `hasTagPopulationEstimate()` optional bool tag_population_check = 9 [default = true];
    `boolean` | `hasTransmitPower()` Transmit power in cdBm.
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static StpApi.AntennaConfig.Builder` | `newBuilder()`
    `static StpApi.AntennaConfig.Builder` | `newBuilder(StpApi.AntennaConfig prototype)`
    `StpApi.AntennaConfig.Builder` | `newBuilderForType()`
    `protected StpApi.AntennaConfig.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static StpApi.AntennaConfig` | `parseDelimitedFrom(java.io.InputStream input)`
    `static StpApi.AntennaConfig` | `parseDelimitedFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennaConfig` | `parseFrom(byte[] data)`
    `static StpApi.AntennaConfig` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennaConfig` | `parseFrom(com.google.protobuf.ByteString data)`
    `static StpApi.AntennaConfig` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennaConfig` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static StpApi.AntennaConfig` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static StpApi.AntennaConfig` | `parseFrom(java.io.InputStream input)`
    `static StpApi.AntennaConfig` | `parseFrom(java.io.InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.AntennaConfig.Builder` | `toBuilder()`
    `protected java.lang.Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<StpApi.AntennaConfig> PARSER

    - #### ANTENNA_ID_FIELD_NUMBER

          public static final int ANTENNA_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GEN2_MODE_FIELD_NUMBER

          public static final int GEN2_MODE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### INVENTORY_SEARCH_MODE_FIELD_NUMBER

          public static final int INVENTORY_SEARCH_MODE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### GEN2_SESSION_FIELD_NUMBER

          public static final int GEN2_SESSION_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TRANSMIT_POWER_FIELD_NUMBER

          public static final int TRANSMIT_POWER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### RECEIVE_SENSITIVITY_FIELD_NUMBER

          public static final int RECEIVE_SENSITIVITY_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TAG_POPULATION_ESTIMATE_FIELD_NUMBER

          public static final int TAG_POPULATION_ESTIMATE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MINIMUM_DWELL_TIME_FIELD_NUMBER

          public static final int MINIMUM_DWELL_TIME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MAXIMUM_DWELL_TIME_FIELD_NUMBER

          public static final int MAXIMUM_DWELL_TIME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENABLE_QUERY_FOR_Q_INCREASE_FIELD_NUMBER

          public static final int ENABLE_QUERY_FOR_Q_INCREASE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENABLE_QUERY_FOR_Q_DECREASE_FIELD_NUMBER

          public static final int ENABLE_QUERY_FOR_Q_DECREASE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENABLE_QUERY_AT_U_CYCLE_END_FIELD_NUMBER

          public static final int ENABLE_QUERY_AT_U_CYCLE_END_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ENABLE_ADAPTIVE_TAG_POPULATION_ESTIMATE_FIELD_NUMBER

          public static final int ENABLE_ADAPTIVE_TAG_POPULATION_ESTIMATE_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static StpApi.AntennaConfig getDefaultInstance()

    - #### getDefaultInstanceForType

          public StpApi.AntennaConfig getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<StpApi.AntennaConfig> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasAntennaID

          public boolean hasAntennaID()

      The 1-based ID of the reader antenna.
      Specified by:
        `hasAntennaID` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getAntennaID

          public int getAntennaID()

      The 1-based ID of the reader antenna.
      Specified by:
        `getAntennaID` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasGen2Mode

          public boolean hasGen2Mode()

      Specified by:
        `hasGen2Mode` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getGen2Mode

          public StpApi.Gen2Mode getGen2Mode()

      Specified by:
        `getGen2Mode` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasInventorySearchMode

          public boolean hasInventorySearchMode()

      Specified by:
        `hasInventorySearchMode` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getInventorySearchMode

          public StpApi.InventorySearchMode getInventorySearchMode()

      Specified by:
        `getInventorySearchMode` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasGen2Session

          public boolean hasGen2Session()

      Specified by:
        `hasGen2Session` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getGen2Session

          public StpApi.Gen2Session getGen2Session()

      Specified by:
        `getGen2Session` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasTransmitPower

          public boolean hasTransmitPower()

      Transmit power in cdBm.
      Specified by:
        `hasTransmitPower` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getTransmitPower

          public int getTransmitPower()

      Transmit power in cdBm.
      Specified by:
        `getTransmitPower` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasReceiveSensitivity

          public boolean hasReceiveSensitivity()

      Receive sensitivity in cdBm. If not specified, no RSSI filtering is done.
      Specified by:
        `hasReceiveSensitivity` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getReceiveSensitivity

          public int getReceiveSensitivity()

      Receive sensitivity in cdBm. If not specified, no RSSI filtering is done.
      Specified by:
        `getReceiveSensitivity` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasTagPopulationEstimate

          public boolean hasTagPopulationEstimate()

      optional bool tag_population_check = 9 [default = true];
      Specified by:
        `hasTagPopulationEstimate` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getTagPopulationEstimate

          public int getTagPopulationEstimate()

      optional bool tag_population_check = 9 [default = true];
      Specified by:
        `getTagPopulationEstimate` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasMinimumDwellTime

          public boolean hasMinimumDwellTime()

      Minimum time to dwell on the antenna in milliseconds. A value of 0 indicates no minimum.
      Specified by:
        `hasMinimumDwellTime` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getMinimumDwellTime

          public int getMinimumDwellTime()

      Minimum time to dwell on the antenna in milliseconds. A value of 0 indicates no minimum.
      Specified by:
        `getMinimumDwellTime` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasMaximumDwellTime

          public boolean hasMaximumDwellTime()

      Maximum time to dwell on the antenna in milliseconds. A value of 0 indicates no maximum.
      Specified by:
        `hasMaximumDwellTime` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getMaximumDwellTime

          public int getMaximumDwellTime()

      Maximum time to dwell on the antenna in milliseconds. A value of 0 indicates no maximum.
      Specified by:
        `getMaximumDwellTime` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasEnableQueryForQIncrease

          public boolean hasEnableQueryForQIncrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.
      Specified by:
        `hasEnableQueryForQIncrease` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getEnableQueryForQIncrease

          public boolean getEnableQueryForQIncrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to increase the Q value during the round.
      Specified by:
        `getEnableQueryForQIncrease` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasEnableQueryForQDecrease

          public boolean hasEnableQueryForQDecrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.
      Specified by:
        `hasEnableQueryForQDecrease` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getEnableQueryForQDecrease

          public boolean getEnableQueryForQDecrease()

      Indicates whether a query should be used instead of a query adjust when the reader wishes to decrease the Q value during the round.
      Specified by:
        `getEnableQueryForQDecrease` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasEnableQueryAtUCycleEnd

          public boolean hasEnableQueryAtUCycleEnd()

      Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.
      Specified by:
        `hasEnableQueryAtUCycleEnd` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getEnableQueryAtUCycleEnd

          public boolean getEnableQueryAtUCycleEnd()

      Indicates whether a query should be used instead of a query adjust for the flush queries at the end of the round.
      Specified by:
        `getEnableQueryAtUCycleEnd` in interface `StpApi.AntennaConfigOrBuilder`

    - #### hasEnableAdaptiveTagPopulationEstimate

          public boolean hasEnableAdaptiveTagPopulationEstimate()

      Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.
      Specified by:
        `hasEnableAdaptiveTagPopulationEstimate` in interface `StpApi.AntennaConfigOrBuilder`

    - #### getEnableAdaptiveTagPopulationEstimate

          public boolean getEnableAdaptiveTagPopulationEstimate()

      Indicates whether the tag_population_estimate in the AntennaConfig should be updated with the actual number of tags seen.
      Specified by:
        `getEnableAdaptiveTagPopulationEstimate` in interface `StpApi.AntennaConfigOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws java.io.IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected java.lang.Object writeReplace()
                                           throws java.io.ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `java.io.ObjectStreamException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(com.google.protobuf.ByteString data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(com.google.protobuf.ByteString data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(byte[] data)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(byte[] data,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(java.io.InputStream input)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(java.io.InputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.AntennaConfig parseDelimitedFrom(java.io.InputStream input)
                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static StpApi.AntennaConfig parseDelimitedFrom(java.io.InputStream input,
                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(com.google.protobuf.CodedInputStream input)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static StpApi.AntennaConfig parseFrom(com.google.protobuf.CodedInputStream input,
                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilder

          public static StpApi.AntennaConfig.Builder newBuilder()

    - #### newBuilderForType

          public StpApi.AntennaConfig.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static StpApi.AntennaConfig.Builder newBuilder(StpApi.AntennaConfig prototype)

    - #### toBuilder

          public StpApi.AntennaConfig.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected StpApi.AntennaConfig.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`